commit:     9f31b0dddd3f0e33ea7eed73ea89c72169dd0b14
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 18 23:32:34 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jan 18 23:33:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f31b0dd

xfce-extra/xfce4-notes-plugin: Bump to 1.9.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-notes-plugin/Manifest             |  1 +
 .../xfce4-notes-plugin-1.9.0.ebuild                | 39 ++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/xfce-extra/xfce4-notes-plugin/Manifest 
b/xfce-extra/xfce4-notes-plugin/Manifest
index ff4809330ac..7670af602fe 100644
--- a/xfce-extra/xfce4-notes-plugin/Manifest
+++ b/xfce-extra/xfce4-notes-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-notes-plugin-1.8.1.tar.bz2 479652 BLAKE2B 
ec23b362627b8bbfdf7dae69aa3217dd902f175b1899ffa07bcbcd17a34acd68ccb5c0acab65fe88a892f5a2c4e6ca7f9f6cc5ed9526a77028679a31bded455b
 SHA512 
3e3f2513aaa5d26880d21ba31458aa8b79c1e01cac47141513d61002df9535e52ca2c14a8da6cddd54fcab3bcda6199c636cce045cea9bd4548f5fc763e069f3
+DIST xfce4-notes-plugin-1.9.0.tar.bz2 502606 BLAKE2B 
2b1b2dd97301ab57363aeaa8a373c62a9e9c14bdc1eb7dd6355bb096728b05e5bee08ce8a5922c2a93f1c2b7fa7197f8aa3fb0c2a96d5eb71a7002c22eb8d13c
 SHA512 
32ee410fa9d4dff4f73a844ac53024c39a884b48cee32faf14c1ed75200f912bd4e51a1fe3305deea9ec98a617b63a65e271437b09cb9b664498746a8095f4a1

diff --git a/xfce-extra/xfce4-notes-plugin/xfce4-notes-plugin-1.9.0.ebuild 
b/xfce-extra/xfce4-notes-plugin/xfce4-notes-plugin-1.9.0.ebuild
new file mode 100644
index 00000000000..042ba603b03
--- /dev/null
+++ b/xfce-extra/xfce4-notes-plugin/xfce4-notes-plugin-1.9.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg-utils
+
+DESCRIPTION="Xfce4 panel sticky notes plugin"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin";
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/$(ver_cut 
1-2)/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+IUSE=""
+
+RDEPEND=">=dev-libs/glib-2.30:2
+       >=x11-libs/gtk+-3.22:3
+       >=xfce-base/libxfce4ui-4.14:=
+       >=xfce-base/libxfce4util-4.14:=
+       >=xfce-base/xfce4-panel-4.14:=
+       >=xfce-base/xfconf-4.14:="
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/intltool
+       virtual/pkgconfig"
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to